﻿namespace Plane.Copters
{
    /// <summary>
    /// 在自动飞行任务中使用的命令枚举，指定飞行器应执行的动作。
    /// </summary>
    public enum FlightCommand : ushort
    {
        /// <summary>
        /// 命令飞行器飞往指定位置。
        /// </summary>
        Waypoint = 16,

        /// <summary>
        /// 命令飞行器在指定位置盘旋指定圈数。
        /// </summary>
        LoiterTurns = 18,

        /// <summary>
        /// 命令飞行器在指定位置盘旋指定时间。
        /// </summary>
        LoiterTime = 19,

        /// <summary>
        /// 命令飞行器返航。
        /// </summary>
        ReturnToLaunch = 20,

        /// <summary>
        /// 命令飞行器降落。
        /// </summary>
        Land = 21,

        /// <summary>
        /// 命令飞行器起飞。
        /// </summary>
        TakeOff = 22,

        /// <summary>
        /// 命令飞行器改变速度
        /// </summary>
        ChangeSpeed = 178,

        /// <summary>
        /// 命令LED颜色改变
        /// </summary>
        LEDControl = 203
    }
}
